/* Action buttons */

// expand/collapse days/steps/sections
function did_click_fold_button(event)
{
    Bridge.didClickFoldButton(bridge_id_for_node(event.target))
}

// edit day header using calendar widget
function did_click_calendar_button(event)
{
    if ( ! bridge_is_available() )
        return;
    
    gutter_icon_div = event.target
    gutter_div = gutter_icon_div.parentNode
    var paragraph = gutter_div.parentNode
    var container_body = paragraph.parentNode
    var container = container_body.parentNode
    var p = paragraph.getElementsByTagName('p')[0]
    
    var id = bridge_id_for_node(p)
    Bridge.didClickCalendarButton()
    
    if (event.stopPropagation)
    {
        event.stopPropagation();
    }
}

// delete day, table or attachment
function did_click_remove_button(event)
{
	Bridge.didClickRemoveButton(bridge_id_for_node(event.target))
	if (event.stopPropagation)
	{
			event.stopPropagation()
	}
}

// insert day, protocol, etc.
function did_click_insert_button(event)
{
	Bridge.didClickInsertButton(bridge_id_for_node(event.target))
}


// mark/unmark paragraph as done
function did_click_checkmark_button(event)
{
	Bridge.didClickCheckmarkButton(bridge_id_for_node(event.target))
}


/* Timer buttons */

function did_click_timer_start_button(event)
{
	Bridge.didClickTimerStartButton(bridge_id_for_node(event.target))
}

function did_click_timer_pause_button(event)
{
	Bridge.didClickTimerPauseButton(bridge_id_for_node(event.target))
}

function did_click_timer_stop_button(event)
{
	Bridge.didClickTimerStopButton(bridge_id_for_node(event.target))
}

function did_click_timer_options_button(event)
{
	Bridge.didClickTimerOptionsButton(bridge_id_for_node(event.target))
}


/* Attachment buttons */

function did_click_attachment_quicklook_button(event)
{
	Bridge.didClickAttachmentQuicklookButton(bridge_id_for_node(event.target))
}

function did_click_attachment_show_button(event)
{
	Bridge.didClickAttachmentShowButton(bridge_id_for_node(event.target))
}

function did_click_attachment_edit_button(event)
{
	Bridge.didClickAttachmentEditButton(bridge_id_for_node(event.target))
}

function did_click_attachment_copy_button(event)
{
	Bridge.didClickAttachmentCopyButton(bridge_id_for_node(event.target))
}


/* Placeholder paragraph in empty document */

function did_click_placeholder_paragraph(event)
{
	Bridge.didClickPlaceholderParagraph(bridge_id_for_node(event.target))
}
